## Dalle origini al Web 2.0

Quando __Internet__ è stato creato, il protocollo __HTTP__ (utilizzato per visitare le pagine web) è stato pensato per trasferire dei semplici __ipertesti__ (da qui il nome _Hyper Text Transfer Protocol_) ma con l'enorme, rapida evoluzione del web il protocollo si è evoluto per supportare l'invio di qualsiasi tipo di file.

Contemporaneamente, i browser si solo evoluti per supportare l'esecuzione di __script__ inviati insieme agli ipertesti, __rendendo possibile trasformare una pagina web da un semplice ipertesto a un vero e proprio programma.__

Anche se l'accesso ai dati del dispositivo da parte degli script è molto limitato, __un sito web è in grado di allegare uno o più script insieme all'ipertesto, i quali vengono eseguiti immediatamente alla loro ricezione__.

Questi script possono inviare numerosi dati riguardo la visita al sito, in particolare:

- i click che sono stati fatti
- le sezioni che sono probabilmente state lette
- le pagine che sono state visitate e per quanto tempo
- le righe che sono state copiate

## Persistenza

Gli script possono istruire i browser web a salvare delle informazioni o, se presenti, spedirle al server (__cookie__) permettendogli di __riconoscere l'utente anche durante le prossime visite__.

Grazie alla persistenza, i server dietro ai più visitati siti web possono profilare gli utenti, analizzando il loro comportamento.

La collaborazione tra i diversi colossi del web tra cui __Facebook, Google, Microsoft eccetera__ e la loro __integrazione con la maggior parte dei siti web__ consente a loro di __tracciare ogni attività online di ogni utente che utilizza questi servizi__.

## Perchè?

Ci sono numerosi motivi per questa raccolta dati:

- __Pubblicità mirate:__ Google piazza le pubblicità sulle pagine web in base agli interessi dell'utente che andrà a visualizzarle, in modo da ottenere più click e di conseguenza più guadagni
- __Vendita dei dati:__ i colossi possono vendere dati riguardo, ad esempio, l'interesse degli utenti verso un prodotto piuttosto che un altro
- __Studio del mercato:__ analizzando le mode e le discussioni sociali è possibile analizzare o addirittura prevedere svolte nel mercato di certe categorie o brand di prodotti
- __Correlazioni tra soggetti apparentemente indipendenti__, ad esempio si può scoprire che un utente di Facebook è interessato anche a prodotti Apple, piazzando ulteriori pubblicità mirate

## Privacy e controversie

Questa raccolta dati diventa problematica quando gli utenti __si rendono conto__ che le loro __conversazioni private__ effettuate tramite Facebook, Twitter, WhatsApp, eccetera __non sono effettivamente private.__

Soprattutto dopo __le scandalose rivelazioni di Edward Snowden riguardo le attività della NSA Statunitense__ molti utenti __hanno deciso di rivolgersi ad alternative sicure dei servizi che utilizzavano regolarmente.__

Una semplice ricerca sul Web riguardo a tutto ciò porta a scoprire l'esistenza di numerose soluzioni per ridurre questa continua fornitura di dati dai nostri browser ai proprietari dei servizi che usiamo e le pubblicità mirate che vediamo come:

- __Ghostery__ e __disconnect.me__ per evitare di immagazzinare __cookie__ inutili per noi ma utili per le corporazioni che tracciano le nostre attività
- __AdBlock__ per eliminare o ridurre le pubblicità

In particolare tramite il plugin __Ghostery__, disponibile per tutti i browser web più usati, è possibile vedere le informazioni di tracciamento che il nostro browser invia ai server a cui ci colleghiamo ogni giorno e impedirne l'invio.

__Per provare le affermazioni fatte in questo documento__ è infatti sufficiente installare __Ghostery__ e, seguendo le istruzioni su http://ghostery.com/it/, collegarsi a uno o più social network o servizio come Google, LinkedIn, Facebook, notando __immediatamente__ lo scambio di dati di tracciamento tra noi e i server di questi servizi.